USERDEL(8)

NAME
userdel - Delete a user account and related files

SYNOPSIS

userdel [-r] login

DESCRIPTION

The userdel command modifies the system account files, deleting all entries that refer to login. The named user must exist.

OPTIONS

The options which apply to the userdel command are:

-r  Files in the user's home directory will be removed along with the home directory itself and the user's mail spool. Files located in other file systems will have to be searched for and deleted manually.

FILES

/etc/group
    group account information

/etc/passwd
    user account information

/etc/shadow
    secure user account information

EXIT VALUES

The userdel command exits with the following values:

0   success

1   can't update password file

2   invalid command syntax

6   specified user doesn't exist

8   user currently logged in

10  can't update group file

12  can't remove home directory

CAVEATS

userdel will not allow you to remove an account if the user is currently logged in. You must kill any running processes which belong to an account that you are deleting. You may not remove any NIS attributes on an NIS client. This must be performed on the NIS server.

SEE ALSO

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), useradd(8), usermod(8)

AUTHOR

Julianne Frances Haugh (jockgrrl@ix.netcom.com)